=== mpm/include/mpm/ad937x/CMakeLists.txt ===
#
# Copyright 2017 Ettus Research, National Instruments Company
#
# SPDX-License-Identifier: GPL-3.0
#
INSTALL(FILES
    adi_ctrl.hpp
    ad937x_ctrl.hpp
    DESTINATION ${INCLUDE_DIR}/mpm/mykonos
)
